# Wowza Video REST API Reference Documentation API lifecycle phase: [Beta](https://www.wowza.com/docs/wowza-video-rest-api-lifecycle-management#api-lifecycle0)
| Want to take the API for a test run? All you'll need is a [Wowza Video subscription](https://www.wowza.com/pricing), or [free trial](https://www.wowza.com/free-trial), for the API access token. Then, fork [our collection in Postman](https://www.postman.com/wowzavideo/workspace/wowza-video-rest-api) and you'll be making calls to our REST API in minutes! See [Trial the Wowza Video REST API using Postman](https://www.wowza.com/docs/trial-the-wowza-video-rest-api-using-postman) for more information. |
To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.### Create a real-time stream - [POST /real_time](https://developer.wowza.com/wsc-api-docs/openapi/real_time/createrealtimestream.md): This operation creates a real-time stream. ### Fetch all real-time streams - [GET /real_time](https://developer.wowza.com/wsc-api-docs/openapi/real_time/listrealtimestreams.md): This operation shows limited details for all of your real-time streams. For detailed information, fetch a single real-time stream. ### Fetch a real-time stream - [GET /real_time/{id}](https://developer.wowza.com/wsc-api-docs/openapi/real_time/showrealtimestream.md): This operation shows the details of a specific real-time stream. ### Update a real-time stream - [PATCH /real_time/{id}](https://developer.wowza.com/wsc-api-docs/openapi/real_time/updaterealtimestream.md): This operation updates a real-time stream. ### Delete a real-time stream - [DELETE /real_time/{id}](https://developer.wowza.com/wsc-api-docs/openapi/real_time/deleterealtimestream.md): This operation deletes a real-time stream. ### Fetch the state of a real-time stream - [GET /real_time/{id}/state](https://developer.wowza.com/wsc-api-docs/openapi/real_time/showrealtimestreamstate.md): This operation shows the current state of a real-time stream. ### Stop a real-time stream - [PUT /real_time/{id}/stop](https://developer.wowza.com/wsc-api-docs/openapi/real_time/stoprealtimestream.md): This operation stops a real-time stream. ## Videos Operations related to uploading and categorizing videos. ### Create a video - [POST /videos](https://developer.wowza.com/wsc-api-docs/openapi/videos/createvideo.md): This operation creates a video object in Wowza Video. You can upload a video from your local storage (DIRECT) or from an external storage provider (FETCH). ### Fetch all videos - [GET /videos](https://developer.wowza.com/wsc-api-docs/openapi/videos/listvideos.md): This operation shows details for all videos available in Wowza Video. ### Fetch a video - [GET /videos/{id}](https://developer.wowza.com/wsc-api-docs/openapi/videos/getsinglevideo.md): This operation shows details for a single, specified video. ### Update a video's metadata - [PATCH /videos/{id}](https://developer.wowza.com/wsc-api-docs/openapi/videos/patchvideo.md): This operation updates a video's metadata. To replace the video file, use the PUT /video/ID. ### Re-upload a video - [PUT /videos/{id}](https://developer.wowza.com/wsc-api-docs/openapi/videos/reuploadvideo.md): This operation initiates a re-upload of a video. ### Delete a video - [DELETE /videos/{id}](https://developer.wowza.com/wsc-api-docs/openapi/videos/deletevideo.md): This operation deletes a video and all its related files. ## Categories Operations related to categorizing videos. ### Create a category - [POST /categories](https://developer.wowza.com/wsc-api-docs/openapi/categories/createcategory.md): This operation creates a category you can assign to a video for organization. ### Fetch all categories - [GET /categories](https://developer.wowza.com/wsc-api-docs/openapi/categories/listcategories.md): This operation shows details for all categories available in Wowza Video. ### Fetch a category - [GET /categories/{id}](https://developer.wowza.com/wsc-api-docs/openapi/categories/getcategory.md): This operation shows details for a single, specified category. ### Update a category - [PATCH /categories/{id}](https://developer.wowza.com/wsc-api-docs/openapi/categories/updatecategory.md): This operation updates a category. Only the fields that are sent in the request body will be updated. ### Delete a category - [DELETE /categories/{id}](https://developer.wowza.com/wsc-api-docs/openapi/categories/deletecategory.md): This operation deletes a category. ## Advanced Token Authentication Operations related to using advanced token authentication, known in Wowza Video as a default playback token behavior option, with videos. Use token authentication when distributing valuable or sensitive video content to audiences to ensure that only authorized users can access the content within the intended application. This allows for protection of intellectual property, compliance with regulations, and the ability to maintain control over content distribution. Through the UI or Wowza Video API, you can choose one of the following options for token authentication of a video: - **NO_TOKEN** - Video files are accessible and can be downloaded and played by anyone at any time. This is the default. - **BASIC_TOKEN** - The platform automatically creates tokenized video URLs. This setting makes it hard for a viewer to extract the video URL and store it for usage in unintended applications over time since the embed URL, which has the token as part of the URL, will only be playable for 48 hours. The token auto renews after 48 hours when used in the intended application. - **ADVANCED_TOKEN** - You add the stream's JS embed code (Share Stream) and a token to your site to provide tokenization. The protections are similar to those for the Basic Token option except you customize the time limit, geographical limits, etc. during token creation. - **FOLLOW_DEFAULT:** - The token behavior is based on the **Default Playback Token Behavior** setting you selected for your Wowza account. See the Org Settings page in Wowza Video article for where to set this configuration. **Note:** You'll use the /videos endpoints to update and review the token authentication enums bulleted above. Before selecting to use the **ADVANCED_TOKEN**, you must, first, either: - Generate a key id via the Wowza Video API, then customize and generate a token via the Wowza Video 2.0 API to add to your site. You'll need the key id to create and sign the token. - Generate a key id and key via the Wowza Video 2.0 API, then customize and generate a standard common access token (CAT) through the means you usually use to create tokens to add to your site. You'll need the key id and key to create and sign the token. After you have your playback token, you add the video JS-embed and the playback token to your site if you're going to use the **ADVANCED_TOKEN** option. The JS-embed code automatically adds the player and related video to your site. See the section on how to embed the player and video". ### Create a playback token key - [POST /playback_tokens/keys](https://developer.wowza.com/wsc-api-docs/openapi/advanced_token_authentication/createkey.md): This operation creates a playback token key that includes a key id and key value. You use one or both of these parameters to create a playback token for advanced token authentication. Before using the ADVANCED_TOKEN option as your token authentication for a video, you must do one of the following: - Generate a playback token key that has a key id using this endpoint in the Wowza Video API, then customize and generate a token via the Wowza Video 2.0 API to add to your site. You'll need the key id to create and sign the token. - Generate a playback token key that has a key id and key value using this endpoint in the Wowza Video 2.0 API, then customize and generate a standard common access token (CAT) through the means you usually use to create tokens to add to your site. You'll need the key id and key to create and sign the token. The key value is only returned in this endpoint so keep it in a place that you can access it later when you create your playback token. ### Fetch playback token keys - [GET /playback_tokens/keys](https://developer.wowza.com/wsc-api-docs/openapi/advanced_token_authentication/listplaybacktokenkeys.md): This operation shows details for playback token keys you've created that are available in Wowza Video for your account. The details include a key id which you use to create a playback token for advanced token authentication. ### Delete a playback token key - [DELETE /playback_tokens/keys/{id}](https://developer.wowza.com/wsc-api-docs/openapi/advanced_token_authentication/deletepublictokenkey.md): This operation deletes a playback token key. ### Create a playback token - [POST /playback_tokens](https://developer.wowza.com/wsc-api-docs/openapi/advanced_token_authentication/createplaybacktoken.md): This operation creates a playback token for use with advanced token authentication. You'll use the PATCH /videos/{id} endpoint to select ADVANCED_TOKEN authentication for your video after you have the playback token. Then, you'll add the token into your player site along with the JS-embed for the video. Before using the ADVANCED_TOKEN option as your token authentication for a video, you must do the following: - Generate a playback token key that has a key id using the POST /playback_tokens/key in the Wowza Video API, then customize and generate a token via this endpoint in the Wowza Video 2.0 API to add to your site. You'll need the key id to create and sign the token. ## Clipping Operations related to clipping and stitching videos and live streams. ### Create a clip - [POST /clipping](https://developer.wowza.com/wsc-api-docs/openapi/clipping/createclipstitch.md): This operation creates (or replaces) a video object in Wowza Video by clipping a video or live stream or, clipping and stitching together videos or live streams. Create a clip To create a clip off of an existing video or live stream, send the id of the video or live stream you want to clip along with the asset_type, mode, start, and stop parameters. Create clips and stitch the clips To create multiple clips and stitch the clips together as one clip, send the id of the videos or live streams you want to clip along with the asset_type, mode, start, and stop parameters. Create a clip and replace the original video To create a clip and replace the original video with the clip, send the replace_video_id parameter where replace_video_id is the video id of the video to be replaced, along with the asset_type, mode, start, and stop parameters. Note: The replace option works only with videos and not live streams. The replace_video_id is specifically a video ID and not a live stream ID. Caution! Once you replace the original video with the clip, you will no longer be able to retrieve the original video. ## Viewers Operations related to viewer analytics. ### Fetch viewer analytics data for an account - [GET /analytics/viewers/account](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsaccountviewers.md): (Available from version 1.11) This operation returns live and historic viewer data for the account related to the JSON web token used for API authentication. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data. Querying live data 1. To get data for currently live streams, do not send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send any query parameters (to, from, or include), the total number of viewers is returned. Querying historic data 1. To get data for streams that ran previously, send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send include values, the total number of viewers is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch viewer analytics data for a live stream - [GET /analytics/viewers/live_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticlivestreamviewers.md): (Available from version 1.11) This operation returns the live and historic viewer data for a specific live stream. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data. Querying live data 1. To get data for currently live streams, do not send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send any query parameters (to, from, or include), the total number of viewers is returned. Querying historic data 1. To get data for streams that ran previously, send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send include values, the total number of viewers is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch viewer analytics data for a VOD stream - [GET /analytics/viewers/vod_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsvodstreamviewers.md): (Available from version 1.11) This operation returns the live and historic viewer data for a specific VOD stream. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data. Querying live data 1. To get data for currently live streams, do not send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send any query parameters (to, from, or include), the total number of viewers is returned. Querying historic data 1. To get data for streams that ran previously, send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send include values, the total number of viewers is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch viewer analytics data for a stream target - [GET /analytics/viewers/stream_targets/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsstreamtargetviewers.md): (Available from version 1.11) This operation returns the live and historic viewer data for a specific stream target. You'll use the query parameters to return live vs historic data, as well as specific types of viewer data. Querying live data 1. To get data for currently live streams, do not send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send any query parameters (to, from, or include), the total number of viewers is returned. Querying historic data 1. To get data for streams that ran previously, send from and to values. 2. Use the include query parameter to specify what data you want to return, including: countries, renditions, devices, and trend data. If you don't send include values, the total number of viewers is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch viewer analytics data for the most viewed live streams - [GET /analytics/viewers/live_streams](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticslivestreamsviewers.md): (Available from version 1.11) This operation returns viewer data for the top 100 live streams in an account. Querying data To get viewer data for the top 100 streams that ran previously, send from and to values. If you do not send from and to values, the last five minutes' worth of live stream viewer data is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch viewer analytics data for the most viewed VOD streams - [GET /analytics/viewers/vod_streams](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsvodstreamsviewers.md): (Available from version 1.11) This operation returns viewer data for the top 100 VOD streams in an account. Querying data To get viewer data for the top 100 streams that ran previously, send from and to values. If you do not send from and to values, the last five minutes' worth of VOD stream viewer data is returned. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch total viewers analytics data for an account - [GET /analytics/viewers/account/total](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsaccounttotalviewers.md): (Available from version 2.0) This operation returns the total viewers data for the account related to the JSON web token used for API authentication. Querying data Use the include query parameter to specify what data you want to return, including: countries, renditions, and devices. If you don't send the include query parameter, the total number of viewers is returned. ### Fetch total viewers analytics data for a live stream - [GET /analytics/viewers/live_streams/{id}/total](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticlivestreamtotalviewers.md): (Available from version 2.0) This operation returns the total viewers data for a specific live stream. Querying data Use the include query parameter to specify what data you want to return, including: countries, renditions, and devices. If you don't send the include query parameter, the total number of viewers is returned. ### Fetch total viewers analytics data for a VOD stream - [GET /analytics/viewers/vod_streams/{id}/total](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsvodstreamtotalviewers.md): (Available from version 2.0) This operation returns the total viewers data for a specific VOD stream. Querying data Use the include query parameter to specify what data you want to return, including: countries, renditions, and devices. If you don't send the include query parameter, the total number of viewers is returned. ### Fetch total viewers analytics data for a stream target - [GET /analytics/viewers/stream_targets/{id}/total](https://developer.wowza.com/wsc-api-docs/openapi/analytics_viewers/analyticsstreamtargettotalviewers.md): (Available from version 2.0) This operation returns the total viewers data for a specific stream target. Querying data Use the include query parameter to specify what data you want to return, including: countries, renditions, and devices. If you don't send the include query parameter, the total number of viewers is returned. ## Ingest Operations related to ingest analytics for a live stream. ### Fetch ingest analytics data for a live stream - [GET /analytics/ingest/live_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_ingest/analyticlivestreamingest.md): (Available from version 1.11) This operation returns the ingest data for a specific live stream. You'll use the query parameters to return live vs historic data, as well as specific types of ingest data. Querying live data To get data for currently live streams, do not send include, from, and to values. This operation returns a hash of metrics keys, each of which identifies a status, text description, unit, and value. Querying historic data To get data for streams that ran previously, send include, from, and to values. This operation returns a hash of metrics keys, each of which identifies a status, text description, unit, and value in addition to trend data. ## Engagement Operations related to engagement analytics for a VOD stream. ### Fetch engagement analytics data for a VOD stream - [GET /analytics/engagement/vod_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_engagement/analyticsvodstreamengagement.md): (Available from version 1.11) This operation returns the engagement data for a specific VOD stream. Engagement data provides insight into how many plays your stream received and for how long. If you don't send from and to query parameters, the last hour's worth of data is returned. See the trend field in the response for information about sample intervals. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ## Popularity Operations related to popularity analytics. ### Fetch popularity analytics data for a live stream or real-time stream - [GET /analytics/popularity/live_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_popularity/analyticslivestreampopularity.md): (Available from version 1.11) This operation returns the popularity data for a specific live stream or real-time stream. Popularity data provides insight into how many times your stream is displayed to a possible viewer and how many times it's played. If you don't send from and to query parameters, the last hour's worth of data is returned. Use the include query parameter to specify whether you want to return trend data. See the trend field in the response for information about sample intervals. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ### Fetch popularity analytics data for a VOD stream - [GET /analytics/popularity/vod_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/analytics_popularity/analyticsvodstreampopularity.md): (Available from version 1.11) This operation returns the popularity data for a specific VOD stream. Popularity data provides insight into how many times your video is displayed to a possible viewer and how many times it's played. If you don't send from and to query parameters, the last hour's worth of data is returned. See the trend field in the response for information about sample intervals. Use the include query parameter to specify whether you want to return trend data. See the trend field in the response for information about sample intervals. If the time range between from and to query parameters is: Less than 60 minutes, the cache time between responses is 10 seconds. More than 60 minutes, the cache time between responses is 60 seconds. ## Quality of Experience Operations related to quality of experience metrics. ### Fetch error density metrics for an account - [GET /analytics/qoe/error_density/account](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrordensityaccount.md): (Available from version 2.0) This operation returns the error density metrics for all streams within the account related to the JSON web token used for API authentication. ### Fetch error density metrics for specific streams - [GET /analytics/qoe/error_density/media/{id}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrordensitymedia.md): (Available from version 2.0) This operation returns the error density metrics for specific streams. ### Fetch error free sessions percentage for all the streams in the account - [GET /analytics/qoe/error_free_sessions/account](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorfreesessions.md): (Available from version 2.0) This operation returns the percentage of error free sessions for all the streams within the account related to the JSON web token used for API authentication. ### Fetch error free sessions percentage for specific streams - [GET /analytics/qoe/error_free_sessions/media/{id}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorfreesessionsmedia.md): (Available from version 2.0) This operation returns the percentage of sessions that were error-free for specific streams. ### Fetch error drill down metrics for your streams - [GET /analytics/qoe/errors/drilldown](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorratedrilldown.md): (Available from version 2.0) This operation returns the error drill down by device metrics for all the live streams and videos within the account related to the JSON web token used for API authentication. ### Fetch errors drill down trend metrics for your streams - [GET /analytics/qoe/errors/drilldown_trend/{error_code}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorratedrilldowntrend.md): (Available from version 2.0) This operation returns the errors drill down trend metrics for all the streams within the account related to the JSON web token used for API authentication. ### Fetch affected media assets by specific error code - [GET /analytics/qoe/errors/detail/media/{error_code}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorsdetailmedia.md): (Available from version 2.0) This operation returns a list of media assets impacted by a specified error, including the number of times each asset was impacted. ### Fetch top error messages by error code - [GET /analytics/qoe/errors/detail/message/{error_code}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorsdetailmessage.md): (Available from version 2.0) This operation returns a list of the most frequent error messages associated with a specified error code, including the number of times each message occurred. ### Fetch a list of resource URLs impacted by a specific error code - [GET /analytics/qoe/errors/detail/resources/{error_code}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoeerrorsdetailresource.md): (Available from version 2.0) This operation returns a list of resource URLs impacted by a specific error code, along with their corresponding occurrence counts. ### Fetch rebuffer count metrics for an account - [GET /analytics/qoe/rebuffer_count/account](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffercountaccount.md): (Available from version 2.0) This operation returns the rebuffer count metrics for all the live streams and videos within the account related to the JSON web token used for API authentication. ### Fetch rebuffer count metrics for specific live streams and videos - [GET /analytics/qoe/rebuffer_count/media/{id}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffercountmedia.md): (Available from version 2.0) This operation returns the rebuffer count metrics for specific live stream(s) and/or video(s). ### Fetch rebuffer count drill down metrics for your streams - [GET /analytics/qoe/rebuffer_count/drilldown](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffercountdrilldown.md): (Available from version 2.0) This operation returns the rebuffer count drill down metrics for all the live streams and videos within the account related to the JSON web token used for API authentication. ### Fetch rebuffer count drill down trend metrics for specific live streams and videos - [GET /analytics/qoe/rebuffer_count/drilldown_trend/{ids}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffercountdrilldowntrend.md): (Available from version 2.0) This operation returns rebuffer count drill down trend metrics for specific live stream(s) and/or video(s). ### Fetch rebuffer time metrics for an account - [GET /analytics/qoe/rebuffer_time/account](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffertimeaccount.md): (Available from version 2.0) This operation returns the rebuffer time for all the live streams and videos within the account related to the JSON web token used for API authentication. ### Fetch rebuffer time metrics for specific live streams and videos - [GET /analytics/qoe/rebuffer_time/media/{id}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffertimemedia.md): (Available from version 2.0) This operation returns the rebuffer time metrics for specific live stream(s) and/or video(s). ### Fetch rebuffer time drill down metrics for your streams - [GET /analytics/qoe/rebuffer_time/drilldown](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffertimedrilldown.md): (Available from version 2.0) This operation returns the rebuffer time drill down metrics for all the live streams and videos within the account related to the JSON web token used for API authentication. ### Fetch rebuffer time drill down trend metrics for specific live streams and videos - [GET /analytics/qoe/rebuffer_time/drilldown_trend/{ids}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoerebuffertimedrilldowntrend.md): (Available from version 2.0) This operation returns rebuffer time drill down trend metrics for specific live stream(s) and/or video(s). ### Fetch video start time metrics for an account - [GET /analytics/qoe/video_start_time/account](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoevideostarttimeaccount.md): (Available from version 2.0) This operation returns the video start time metrics for all the live streams, real-time streams, and videos within the account related to the JSON web token used for API authentication. ### Fetch video start time metrics for specific live streams, real-time streams, and videos - [GET /analytics/qoe/video_start_time/media/{id}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoevideostarttimemedia.md): (Available from version 2.0) This operation returns the video start time metrics for specific live stream(s), real-time stream(s), and/or video(s). ### Fetch video start time drill down metrics for your streams - [GET /analytics/qoe/video_start_time/drilldown](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoevideostarttimedrilldown.md): (Available from version 2.0) This operation returns the video start time drill down metrics for all the live streams, real-time streams, and videos within the account related to the JSON web token used for API authentication. ### Fetch video start time drill down trend metrics for specific live streams, real-time streams, and videos - [GET /analytics/qoe/video_start_time/drilldown_trend/{ids}](https://developer.wowza.com/wsc-api-docs/openapi/quality_of_experience/analyticsqoevideostarttimedrilldowntrend.md): (Available from version 2.0) This operation returns video start time drill down trend metrics for specific live stream(s), real-time stream(s), and/or video(s). ## Account Operations related to stream analytics for an account. ### Fetch usage for an account - [GET /usage/account](https://developer.wowza.com/wsc-api-docs/openapi/usage_account/showusageaccountindex.md): (Available from version 1.8) This operation returns CDN usage details for the account related to the JSON web token used for API authentication. Defaults: from = last billing date, to = end of current day. ## Transcoders Operations related to transcoder analytics. ### Fetch usage for all transcoders - [GET /usage/transcoders](https://developer.wowza.com/wsc-api-docs/openapi/usage_transcoders/usagetranscodersindex.md): This operation shows the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day. ### Fetch usage for a single transcoder - [GET /usage/transcoders/{id}](https://developer.wowza.com/wsc-api-docs/openapi/usage_transcoders/showusagetranscoder.md): (Available from version 1.4) This operation shows the amount of usage (egress) for a specific transcoder. The default time frame is from the last billing date to the end of the current day. ### Fetch transcoder usage summary - [GET /usage/transcoders/summary](https://developer.wowza.com/wsc-api-docs/openapi/usage_transcoders/summaryusagetranscoder.md): (Available from version 1.4) This operation shows a summary of the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day. ## Stream Targets Operations related to stream target analytics, including CDN usage and viewer data. ### Fetch usage for all stream targets - [GET /usage/stream_targets](https://developer.wowza.com/wsc-api-docs/openapi/usage/usagestreamtargetsindex.md): (Available from version 1.4) This operation returns detailed CDN usage data for all stream targets in the account. Defaults: from = last billing date, to = end of current day. ### Fetch usage for a single stream target - [GET /usage/stream_targets/{id}](https://developer.wowza.com/wsc-api-docs/openapi/usage/showusagestreamtarget.md): (Available from version 1.4) This operation returns CDN usage details for a specific stream target. Defaults: from = last billing date, to = end of current day. ### Fetch stream target usage summary - [GET /usage/stream_targets/summary](https://developer.wowza.com/wsc-api-docs/openapi/usage/summmaryusagestreamtarget.md): (Available from version 1.4) This operation returns a summary of CDN usage for all stream targets in the account. Defaults: from = last billing date, to = end of current day. ## Real Time Streams Operations related to real-time streams analytics. ### Fetch usage for all real-time streams - [GET /usage/real_time_streams](https://developer.wowza.com/wsc-api-docs/openapi/usage_real_time_streams/usagerealtimestreamsindex.md): (Available from version 1.9) This operation returns detailed CDN usage data for all real-time streams in the account. Defaults: from = last billing date, to = end of current day. ### Fetch usage for a single real-time stream - [GET /usage/real_time_streams/{id}](https://developer.wowza.com/wsc-api-docs/openapi/usage_real_time_streams/showusagerealtimestream.md): (Available from version 1.9) This operation returns CDN usage details for a specific stream target. Defaults: from = last billing date, to = end of current day. ### Fetch real-time stream usage summary - [GET /usage/real_time_streams/summary](https://developer.wowza.com/wsc-api-docs/openapi/usage_real_time_streams/summmaryusagerealtimestream.md): (Available from version 1.11) This operation returns a summary of CDN usage for all real-time streams in the account.